Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.target
Class NormalizationStorageNeuralDataSet

    java.lang.Object
      org.encog.util.normalize.target.NormalizationStorageNeuralDataSet

All Implemented Interfaces:
  Serializable, NormalizationStorage

    public class NormalizationStorageNeuralDataSet

extends Object
implements NormalizationStorage

Store the normalized data to a neural data set.

See Also:
  Serialized Form

Constructor Summary
`NormalizationStorageNeuralDataSet()`
`NormalizationStorageNeuralDataSet(int inputCount, int idealCount)` Construct a new NeuralDataSet based on the parameters specified.
`NormalizationStorageNeuralDataSet(NeuralDataSet dataset)` Construct a normalized neural storage class to hold data.

Method Summary
`void` | `close()` Not needed for this storage type.
`NeuralDataSet` | `getDataset()`
`void` | `open(DataNormalization norm)` Not needed for this storage type.
`void` | `write(double[] data, int inputCount)` Write an array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizationStorageNeuralDataSet

    public NormalizationStorageNeuralDataSet()

### NormalizationStorageNeuralDataSet

    public NormalizationStorageNeuralDataSet(int inputCount,
                                             int idealCount)

  Construct a new NeuralDataSet based on the parameters specified.

  Parameters:
    `inputCount` - The input count.
    `idealCount` - The output count.

### NormalizationStorageNeuralDataSet

    public NormalizationStorageNeuralDataSet(NeuralDataSet dataset)

  Construct a normalized neural storage class to hold data.

  Parameters:
    `dataset` - The data set to store to. This uses an existing data set.

Method Detail

### close

    public void close()

  Not needed for this storage type.

  Specified by:
    `close` in interface `NormalizationStorage`

### open

    public void open(DataNormalization norm)

  Not needed for this storage type.

  Specified by:
    `open` in interface `NormalizationStorage`

### write

    public void write(double[] data,
                      int inputCount)

  Write an array.

  Specified by:
    `write` in interface `NormalizationStorage`
  Parameters:
    `data` - The data to write.
    `inputCount` - How much of the data is input.

### getDataset

    public NeuralDataSet getDataset()

  Returns:
    The dataset used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.